Loading...
Searching...
No Matches
casacore::MSMIndColumn::Data Class Reference

## Public Member Functions

| Data (const IPosition &shape, int dtype, int elemSize)
| ~Data ()
| Data (const Data &)=delete
Data & | operator= (const Data &)=delete
const IPosition & | shape () const
void * | data ()

## Private Attributes

IPosition | shape_p
void * | data_p
bool | data_is_string

## Detailed Description

Definition at line 141 of file MSMIndColumn.h.

## Constructor & Destructor Documentation

## Data() [1/2]

casacore::MSMIndColumn::Data::Data | ( | const IPosition & | shape,
|  | int | dtype,
|  | int | elemSize )

References casacore::StManColumnBase::dtype(), casacore::StManColumnBase::elemSize(), and shape().

Referenced by Data(), and operator=().

## ~Data()

casacore::MSMIndColumn::Data::~Data | ( |  | ) |

## Data() [2/2]

casacore::MSMIndColumn::Data::Data | ( | const Data & |  | ) |

delete

References Data().

## Member Function Documentation

## data()

void * casacore::MSMIndColumn::Data::data | ( |  | ) |

inline

Definition at line 148 of file MSMIndColumn.h.

References data_p.

## operator=()

Data & casacore::MSMIndColumn::Data::operator= | ( | const Data & |  | ) |

delete

References Data().

## shape()

const IPosition & casacore::MSMIndColumn::Data::shape | ( |  | ) | const

inline

Definition at line 147 of file MSMIndColumn.h.

References shape_p.

Referenced by Data().

## Member Data Documentation

## data_is_string

bool casacore::MSMIndColumn::Data::data_is_string

private

Definition at line 152 of file MSMIndColumn.h.

## data_p

void* casacore::MSMIndColumn::Data::data_p

private

Definition at line 151 of file MSMIndColumn.h.

Referenced by data().

## shape_p

IPosition casacore::MSMIndColumn::Data::shape_p

private

Definition at line 150 of file MSMIndColumn.h.

Referenced by shape().

The documentation for this class was generated from the following file:

- tables/DataMan/MSMIndColumn.h